<div *ngIf="mostarError" class="alert alert-dismissible alert-danger">
  <div class="text-center">
    <strong>ERROR AL OBTENER EL CLIMA</strong>
  </div>
</div>

<div class="container pt-4">
  <div class="row">
    <div class="col-mx-4">
      <img [src]="urlImg" alt="clima" width="300px" height="300px" />
    </div>
    <div class="col-md-6">
      <input
        type="text"
        [(ngModel)]="ciudad"
        class="form-control form-control-lg size"
        placeholder="Ingrese Ciudad..."
      />
      <button
        (click)="ObtenerClima()"
        class="btn btn-primary btn-lg btn-block mt-4 size"
        [disabled]="ciudad == ''"
      >
        OBTENER CLIMA
      </button>

      <div *ngIf="loading" class="text-center mt-3">
        <div class="spinner-grow text-primary" role="status"></div>
        <div class="spinner-grow text-primary" role="status"></div>
        <div class="spinner-grow text-primary" role="status"></div>
      </div>

      <div *ngIf="query" class="card mt-3">
        <div class="card-body">
          <p><b>Temperatura:</b>{{ temperatura | number: "1.2-2" }} ºC</p>
          <p><b>Humedad:</b>{{ humedad }}</p>
          <p><b>Clima:</b>{{ clima }}</p>
        </div>
      </div>
    </div>
  </div>
</div>
